import App from './App'
// import {post} from "http/request.post.js"
import store from './store'

// #ifndef VUE3
import Vue from 'vue'
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
	store,
    ...App
})

import uView from "uview-ui";
Vue.use(uView)
uni.$u.config.unit = 'rpx'
// Vue.prototype.request=post
require('./http/request.js')(app)
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif


// app.$mount()